#include "configfile.h"
#include <stdio.h>

namespace hm
{

	void ConfigFile::addVariable(string name,string value)
   {
		Variable var;
		var.name = name;
		var.value = value;
		variables.push_back(var);
	}

	void ConfigFile::save(string filename)
   {
		FILE *file;
		file = fopen(filename.c_str(),"w");

		for (int i=0; i<variables.size(); i++)
      {
			string line =
				variables.at(i).name + " = " +
				variables.at(i).value + "\n";
			fprintf(file,line.c_str());
		}

		fclose(file);
		sync();
	}

	void ConfigFile::load(string filename)
   {

		clear();

		FILE *file;
		file = fopen(filename.c_str(),"r");

		// file doesn't exist, don't read anything
		if (file==NULL) return;

		// read color file
		while (!feof(file))
      {
			char name[1024],value[1024];
			fscanf(file,"%s = %s",name,value);
			addVariable(name,value);
		}

		fclose(file);

	}

	void ConfigFile::clear()
   {
		variables.clear();
	}

	string ConfigFile::getValueByName(string name)
   {
		for (int i=0; i<variables.size(); i++)
      {
			string test = variables.at(i).name;
			if (variables.at(i).name==name) 
				return(variables.at(i).value);
		}
		return("");
	}

	int ConfigFile::getIntValueByName(string name)
   {
		
		int base = 10;
		string s = getValueByName(name);
		
		if (s[0]=='#')
      {
			s.erase(0,1);
			base = 16;
		}

		return( strtol(s.c_str(),NULL,base) );
	}

}
