#ifndef __selectmenu_h__
#define __selectmenu_h__

#include "menu.h"

namespace hm {

	/**
		Use this as you would a selectbox in an html form. It pops up a new window with the possible values listed.
	*/
	class SelectMenu : public Menu {

	public:
		
		/** 
			constructor
			\param title the title of the menu, it will usually show in the list and on the window header
			\param surface a surface to draw on. The root node should always have a non-NULL Surface object
			specified, child nodes will inherit their parent's Surface when appendChild is called.
		*/
		SelectMenu(string title,Surface *surface = NULL);

		virtual void drawListItem(Surface *surface,int x,int y,int w,int h,bool selected);
		virtual int enter();
		
		/**	Adds a new option (possible value) to the menu. */
		void addOption(string option);

	};


};

#endif
